ros-humble-swri-geometry-util (3.6.1-1bookworm) bookworm; urgency=high

  * Fixing Buildfarm Issues (#716 <https://github.com/swri-robotics/marti_common/issues/716>)
    * Cleaning up code to fix build farm errors
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-swri-geometry-util (3.6.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-swri-geometry-util (3.5.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-swri-geometry-util (3.5.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-humble-swri-geometry-util (3.5.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 29 May 2023 16:00:00 -0000

ros-humble-swri-geometry-util (3.5.1-1bookworm) bookworm; urgency=high

  * Fixing how the GEOS library is found (#697 <https://github.com/swri-robotics/marti_common/issues/697>)
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Mon, 28 Nov 2022 16:00:00 -0000

ros-humble-swri-geometry-util (3.5.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-humble-swri-geometry-util (3.4.2-1bookworm) bookworm; urgency=high

  * Switch to C API (#689 <https://github.com/swri-robotics/marti_common/issues/689>)
    * Switch to GEOS C API from C++ API
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-humble-swri-geometry-util (3.3.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 23 Nov 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.3.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.3.0-1bookworm) bookworm; urgency=high

  * Add GitHub Actions for CI (ROS2) (#586 <https://github.com/swri-robotics/marti_common/issues/586>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 14 Jul 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.2.1-1bookworm) bookworm; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Jun 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.2.0-1bookworm) bookworm; urgency=high

  * Fix build with GEOS 3.8 (#576 <https://github.com/swri-robotics/marti_common/issues/576>) (#577 <https://github.com/swri-robotics/marti_common/issues/577>)
    Co-authored-by: Ben Wolsieffer <mailto:benwolsieffer@gmail.com>
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.1.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 29 Mar 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.5-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 09 Mar 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Mar 2020 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-swri-geometry-util (3.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-humble-swri-geometry-util (2.10.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 03 Sep 2019 16:00:00 -0000

ros-humble-swri-geometry-util (2.9.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 22 May 2019 16:00:00 -0000

ros-humble-swri-geometry-util (2.8.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 05 Feb 2019 16:00:00 -0000

ros-humble-swri-geometry-util (2.7.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 02 Jan 2019 16:00:00 -0000

ros-humble-swri-geometry-util (2.7.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Dec 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.7.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 13 Dec 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.7.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 03 Dec 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.6.0-1bookworm) bookworm; urgency=high

  * Check for valid polygons before calculating intersection area. (#529 <https://github.com/swri-robotics/marti_common/issues/529>)
  * Add polygon utility functions. (#526 <https://github.com/swri-robotics/marti_common/issues/526>)
  * Add function to test if two line segments intersect. (#525 <https://github.com/swri-robotics/marti_common/issues/525>)
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 02 Nov 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.5.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 11 Oct 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.4.0-1bookworm) bookworm; urgency=high

  * Add function for projecting a point onto a plane. (#521 <https://github.com/swri-robotics/marti_common/issues/521>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Mon, 08 Oct 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.3.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.2.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 10 May 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.2.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 11 Feb 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.1.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 25 Jan 2018 16:00:00 -0000

ros-humble-swri-geometry-util (2.0.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 17 Dec 2017 16:00:00 -0000

ros-humble-swri-geometry-util (1.2.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 12 Oct 2017 16:00:00 -0000

ros-humble-swri-geometry-util (1.1.0-1bookworm) bookworm; urgency=high

  * Add function for closest point to lines in 3d. (#478 <https://github.com/pjreed/marti_common/issues/478>)
  * Add line intersection function. (#473 <https://github.com/pjreed/marti_common/issues/473>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 30 Aug 2017 16:00:00 -0000

ros-humble-swri-geometry-util (1.0.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 01 Aug 2017 16:00:00 -0000

ros-humble-swri-geometry-util (0.3.0-1bookworm) bookworm; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Add OpenCV dependency
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 19 Jun 2017 16:00:00 -0000

ros-humble-swri-geometry-util (0.2.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Apr 2017 16:00:00 -0000

ros-humble-swri-geometry-util (0.2.3-1bookworm) bookworm; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 08 Dec 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.2.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 06 Dec 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.2.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.2.0-1bookworm) bookworm; urgency=high

  * Update FindGEOS to generate linker flags correctly in Ubuntu 16.04 (#348 <https://github.com/swri-robotics/marti_common/issues/348>).
    The regexes to find the link directory and library name from the
    output of geos-config were too liberal, so the library name
    regex would match on the -linux portion of the link directory,
    resulting in broken linker flags. This tightens up those regexes
    a bit to yield the correct library directory and name.
  * Fix a typedef conflict in Ubuntu 16.04 (#347 <https://github.com/swri-robotics/marti_common/issues/347>)
    Wrapping geos includes in #define statements forces geos to typedef
    int64 to int64_t so that it matches opencv's typedef.
  * Add cubic spline interface for tf::Vector3 type.
  * Contributors: Ed Venator, Marc Alban

 -- P. J. Reed <preed@swri.org>  Mon, 20 Jun 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.5-1bookworm) bookworm; urgency=high

  * Add an explicit dependency on pkg-config
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 12 May 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.4-1bookworm) bookworm; urgency=high

  * Fixing Jade compilation issues
  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
  * Contributors: Kim Mathiassen

 -- P. J. Reed <preed@swri.org>  Wed, 11 May 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 05 Jan 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 16 Nov 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.1.0-1bookworm) bookworm; urgency=high

  * Removes deprecated Eigen cmake module. (Issue #245 <https://github.com/swri-robotics/marti_common/issues/245>)
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Mon, 28 Sep 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.14-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Apr 2017 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.13-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.12-1bookworm) bookworm; urgency=high

  * Adds cubic spline interface for tf::Vector3 type.
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Sat, 13 Aug 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.11-1bookworm) bookworm; urgency=high

  * Adds explicit dependency on pkg-config
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 12 May 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.10-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 11 May 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.9-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.8-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 05 Jan 2016 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.7-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 17 Nov 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.6-1bookworm) bookworm; urgency=high

  * Contributors: Kim Mathiassen, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 16 Nov 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.5-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 26 Sep 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.4-1bookworm) bookworm; urgency=high

  * Adds missing tf dependency to swri_geometry_util.
  * Contributors: Ed Venator

 -- P. J. Reed <preed@swri.org>  Sat, 26 Sep 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.3-1bookworm) bookworm; urgency=high

  * Format package files
  * Clean up dependencies
    Remove unneeded ones, add required ones not specified
  * Contributors: Jerry Towler

 -- P. J. Reed <preed@swri.org>  Fri, 25 Sep 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.2-1bookworm) bookworm; urgency=high

  * Renames geometry_util package to swri_geometry_util. Refs #231 <https://github.com/swri-robotics/marti_common/issues/231>.
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Thu, 24 Sep 2015 16:00:00 -0000

ros-humble-swri-geometry-util (0.0.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 Sep 2015 16:00:00 -0000


